// -*- c++ -*-

#ifndef KASBAREXTENSION_H
#define KASBAREXTENSION_H

#include <kpanelextension.h>

class KasTasker;

/**
 * A KPanelExtension that displays a KasTasker widget.
 *
 * @version $Id: kasbarextension.h,v 1.8 2003/09/30 18:18:01 rich Exp $
 */
class KasBarExtension : public KPanelExtension
{
    Q_OBJECT

public:
    KasBarExtension( const QString& configFile,
                     Type t = Normal,
                     int actions = 0,
                     QWidget *parent = 0, const char *name = 0 );

    virtual ~KasBarExtension();

    QSize sizeHint( Position, QSize maxSize ) const;
    Position preferedPosition() const { return Right; }

    virtual void positionChange( Position position );

protected:
    void showEvent( QShowEvent *se );
    virtual void about();
    virtual void preferences();
    
private:
    KasTasker* kasbar;
};

#endif // KASBAREXTENSION_H

